七牛Maven项目使用,以及注意事项。

信息发布:soゝso 发布日期:2016-08-22 16:20 热度:639 分享到:

本文单独提出来讲解七牛在使用Maven的注意事项。

七牛  SDK 尽量使用JDK1.7 以上,因为它依赖了okhttp-jdk1.6 ,如果你还是想用JDK1.6 ,那么你可以把okhttp-jdk1.6 下载下来直接引入。

七牛  的其他依赖包,若没有使用 Maven  等包管理器工具,可直接下载对应包,加入classpath 中。qiniu-java-sdk-7 依赖 Google Gson okhttp okhttp 依赖 okio 。如果你是 Maven  项目直接引入 七牛  SDK 即可, Maven  会自动引入依赖包。

<dependency>
	<groupId>com.qiniu</groupId>
	<artifactId>qiniu-java-sdk</artifactId>
	<version>[7.0.0, 7.0.99]</version>
</dependency>

如果你不是用 Maven  等管理工具来管理jar 包的话,那么请在本文的附件中下载所有依赖包。或者点击以下链接到 Maven  官网自行下载Jar 包。(官网打开速度有点慢,请耐心等等,但是下载Jar 和搜索不慢)。

qiniu-java-sdk-7Google Gsonokhttp (JDK1.7 及以上)okio (JDK1.7 及以上)okhttp-jdk1.6okio-jdk1.6

还有技术问题解决不了。

  1. 欢迎点击下面导航栏加入我们的技术群,和我交流。
  2. 或者提交工单。工单地址:工单提交

附件下载

qiniu-java-sdk-7.0.8 和依赖包.zip

备注:点击文件名下载,附件源来自云端,只能在本站下载。复制下载链接无效。

本文主题

如果本文对你有帮助,那么请你赞助我,让我更有激情的写下去,帮助更多的人。

¥我需要走的更远,点击我 赞助。 如果还有疑问,点击我加群,为你提供最好的解答。


工具导航地图

 
Nodejs + socket Demo 赞助二维码 赞助名单 百度口碑点赞 查看QQ群美女帅哥 点击加QQ群 听音乐 开启弹幕 X
反馈意见